using System;
using System.Collections.Generic;

namespace ConsoleApp1
{
    class Program
    {
        static int faktorizacija(int n)
        {
            int n2 = n;
            int suma = 1;
            while (n2 > 0)
            {
                suma = suma * n2 % 10;
                n2 /= 10;
            }
            return suma;
        }
        static void Main(string[] args)
        {   
            int T = int.Parse(Console.ReadLine());
            for (int u = 0; u < T; u++)
            {
                int br = 0;
                int n = int.Parse(Console.ReadLine());
                int[] suma = new int[n + 1];
                int j = 1;
                for (int i=0;i<=n;i++)
                {
                    suma[i]=faktorizacija(j);
                    j++;
                }
                Array.Sort(suma);            
                for(int i=0;i<n;i++)
                {
                    if(suma[i]!=suma[i+1] && i!=n)
                    {
                        br++; 
                    }
                }
                Array.Sort(suma);
                
                Console.WriteLine(br);
            }

            
        }
    }
}